Slightly tweaked design

This commit is contained in:
Roberto Alsina 2023-03-31 12:56:51 -03:00
parent 56c880ffe8
commit 445cb1caeb
1 changed files with 6 additions and 4 deletions

View File

@ -10,7 +10,9 @@ m4_bottom = 4
m4_height = 2.5
height = 64.5 + shell_t # Measured
lip_thickness = 1.5
# Position of pillar + shell_t + pillar "radius" + lip
height = max([y for _, y in mounting_pillar_positions]) + 6 + shell_t + lip_thickness
thickness = shell_t
front_lip = 8
@ -52,13 +54,13 @@ def model():
.cskHole(m4_bottom, m4_top, 82, depth=None)
)
# Add front edge
# Add front lip
model = (
model.faces(">Z")
.workplane(centerOption="CenterOfBoundBox")
.center(0, -height / 2 - shell_t / 2)
.placeSketch(cq.Sketch().trapezoid(width, shell_t, 90))
.center(0, -height / 2 + lip_thickness / 2)
.placeSketch(cq.Sketch().trapezoid(width - 2 * shell_t, lip_thickness, 90))
.extrude(-front_lip - thickness)
)